Mailboxes

Update a draft

Updates the fields you name and keeps the rest; `null` clears an optional field. A draft whose send waits for approval cannot change and conflicts.

PATCH
/v1/mailboxes/{id}/drafts/{draftId}

Updates the fields you name and keeps the rest; null clears an optional field. A draft whose send waits for approval cannot change and conflicts.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
draftId*string
Match^mdraft_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
to?array<string>|null
cc?array<string>|null|null
bcc?array<string>|null|null
replyTo?array<string>|null|null
subject?string|null|null
text?string|null|null
html?string|null|null
attachments?array<>|null|null

Response Body

MailboxDraft

application/json
  1. response
id*MailboxDraftId
Match^mdraft_[0-9a-hjkmnp-tv-z]{16,24}$
channel*"email"
Value in"email"
threadId*|null
inReplyToMessageId*|null
state*MailboxDraftState
Value in"saved""locked""sent"
lockedByActionId*|null
to*array<string>
subject*string|null
createdAt*string
updatedAt*string
endpointId*|null
cc*array<string>
bcc*array<string>
replyTo*array<string>
html*string|null
text*string|null
attachments*array<>
Itemsitems <= 10
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.mailboxes.updateDraft({  "id": "example",  "draftId": "example"});
Example Response
{  "id": "string",  "channel": "email",  "threadId": "string",  "inReplyToMessageId": "string",  "state": "saved",  "lockedByActionId": "string",  "to": [    "string"  ],  "subject": "string",  "createdAt": "string",  "updatedAt": "string",  "endpointId": "string",  "cc": [    "string"  ],  "bcc": [    "string"  ],  "replyTo": [    "string"  ],  "html": "string",  "text": "string",  "attachments": [    {      "filename": "string",      "content": "string",      "mediaId": "string",      "contentType": "string",      "size": 1    }  ]}

Related documentation